
import sys
sys.path.append('..')

from XMLObject import *

## Snippet "playlist-decl"
class Song(XMLObject):
    file = StringAttribute()
    length = IntegerAttribute()
    artist = StringAttribute(facultative=True)
    title = TextNode(default = 'Track Name')
    
class Playlist(XMLObject):
    name = StringAttribute()
    songs = ListNode('Song')
## End Snippet

## Snippet "playlist-creation"
pList = Playlist()
pList.name = 'My Favorites'

s1 = Song(file='foobar.ogg', length=300, artist='foo', title='Bar')
pList.songs.append(s1)
## End Snippet

## Snippet "playlist-newSong"
s2 = Song(file='opensource.ogg')
s2.length = 250
pList.songs.append(s2)
## End Snippet

## Snippet "playlist-save"
xmlPlaylist = pList.toXml()

pList2 = Playlist()
pList2.fromXml(xmlPlaylist)
print pList2.toXml()
assert xmlPlaylist == pList2.toXml(), 'Pb during import/export'
## End Snippet
